com.opensymphony.xwork2.interceptor.annotations

## Class AnnotationParameterFilterInterceptor

- java.lang.Object
- - org.apache.struts2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.AbstractInterceptor
    - - com.opensymphony.xwork2.interceptor.annotations.AnnotationParameterFilterInterceptor

- All Implemented Interfaces:
    Serializable, ConditionalInterceptor, Interceptor

  Deprecated.
  since 6.6.0, integrated into `ParametersInterceptor` with `StrutsParameter` using `struts.parameters.requireAnnotations=true`

      @Deprecated
      public class AnnotationParameterFilterInterceptor
      extends AbstractInterceptor

  Annotation based version of `ParameterFilterInterceptor`.

  This `Interceptor` must be placed in the stack before the `ParametersInterceptor` When a parameter matches a field that is marked `Blocked` then it is removed from the parameter map.

  If an `Action` class is marked with `BlockByDefault` then all parameters are removed unless a field on the Action exists and is marked with `Allowed`

  Author:
    martin.gilday
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `ConditionalInterceptor.LegacyAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationParameterFilterInterceptor()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `intercept(ActionInvocation invocation)` Deprecated. Override to handle interception

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `intercept, shouldIntercept, shouldIntercept`

    - ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `adapt`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Constructor Detail

    - #### AnnotationParameterFilterInterceptor

          public AnnotationParameterFilterInterceptor()

      Deprecated.

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Deprecated.
      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Throws:
        `Exception`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.